Subject: Re: bug#63365: 30.0.50; GCC 13.1 breaks building Emacs with native-compilation

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 May 2023 19:54:06 +0300

> From: Arash Esbati <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 10 May 2023 16:27:11 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Did you submit to addr2line the 137MB binary or the stripped 8.5MB
> > binary?  It sounds like you did that with the latter?
> 
> No, I tried many versions of passing the absolute path of src/emacs.exe
> or relative one to addr2line; it (ideally) didn't pick up anything from
> my $PATH.  So I did things like:
> 
>   $ addr2line -C -f -i -p -e src/emacs.exe < lisp/emacs_backtrace.txt
>   $ addr2line -C -f -i -p -e ../src/emacs.exe < emacs_backtrace.txt
>   $ addr2line -C -f -i -p -e `cygpath.exe -w -a src/emacs.exe` \
>       < lisp/emacs_backtrace.txt
>   ...
> 
> The result was always the same.

Maybe it's a bug in your addr2line, then.  It works perfectly here,
FWIW.

Can you make the unstripped emacs.exe available for download
somewhere, along with the emacs_backtrace.txt produced by that same
binary?  I'd like to take a look.